Package com.ocient.jdbc.proto

# Interface ClientWireProtocol.LocalQueriesOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `ClientWireProtocol.LocalQueries`, `ClientWireProtocol.LocalQueries.Builder`

Enclosing class:
  `ClientWireProtocol`

public static interface ClientWireProtocol.LocalQueriesOrBuilder extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`boolean`
`getCompleted()`
true if we should return rows for completed queries
`String`
`getDatabase()`
`string database = 3;`
`com.google.protobuf.ByteString`
`getDatabaseBytes()`
`string database = 3;`
`int`
`getIdentity()`
Deprecated.
xg.cmdcomp.LocalQueries.identity is deprecated.
`com.google.protobuf.ByteString`
`getIssuerCertificate()`
Deprecated.
xg.cmdcomp.LocalQueries.issuer_certificate is deprecated.
`com.google.protobuf.ByteString`
`getIssuerFingerprint()`
`bytes issuer_fingerprint = 7;`
`ClientWireProtocol.LocalQueries.OneIdentityOptionCase`
`getOneIdentityOptionCase()`
`com.google.protobuf.ByteString`
`getSignature()`
Deprecated.
xg.cmdcomp.LocalQueries.signature is deprecated.
`com.google.protobuf.ByteString`
`getToken()`
`bytes token = 4;`
`com.google.protobuf.ByteString`
`getUser()`
Deprecated.
xg.cmdcomp.LocalQueries.user is deprecated.
`com.google.protobuf.ByteString`
`getUsername()`
Deprecated.
xg.cmdcomp.LocalQueries.username is deprecated.
`com.google.protobuf.ByteString`
`getUuidIdentity()`
Deprecated.
xg.cmdcomp.LocalQueries.uuid_identity is deprecated.
`boolean`
`hasUuidIdentity()`
Deprecated.
xg.cmdcomp.LocalQueries.uuid_identity is deprecated.

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getIdentity

@Deprecated int getIdentity()
Deprecated.
xg.cmdcomp.LocalQueries.identity is deprecated. See libxgproto/sharedMessages/clientWireProtocol.proto;l=413

     Same data as md::objectId object
     Ideally would like to import objectId proto object, but proto lives in libxgsysnconfig

`int32 identity = 1 [deprecated = true];`

Returns:
  The identity.

### hasUuidIdentity

@Deprecated boolean hasUuidIdentity()
Deprecated.
xg.cmdcomp.LocalQueries.uuid_identity is deprecated. See libxgproto/sharedMessages/clientWireProtocol.proto;l=415
`bytes uuid_identity = 2 [deprecated = true];`

Returns:
  Whether the uuidIdentity field is set.

### getUuidIdentity

@Deprecated com.google.protobuf.ByteString getUuidIdentity()
Deprecated.
xg.cmdcomp.LocalQueries.uuid_identity is deprecated. See libxgproto/sharedMessages/clientWireProtocol.proto;l=415
`bytes uuid_identity = 2 [deprecated = true];`

Returns:
  The uuidIdentity.

### getDatabase

String getDatabase()
`string database = 3;`

Returns:
  The database.

### getDatabaseBytes

com.google.protobuf.ByteString getDatabaseBytes()
`string database = 3;`

Returns:
  The bytes for database.

### getToken

com.google.protobuf.ByteString getToken()
`bytes token = 4;`

Returns:
  The token.

### getSignature

@Deprecated com.google.protobuf.ByteString getSignature()
Deprecated.
xg.cmdcomp.LocalQueries.signature is deprecated. See libxgproto/sharedMessages/clientWireProtocol.proto;l=420
`bytes signature = 5 [deprecated = true];`

Returns:
  The signature.

### getIssuerCertificate

@Deprecated com.google.protobuf.ByteString getIssuerCertificate()
Deprecated.
xg.cmdcomp.LocalQueries.issuer_certificate is deprecated. See libxgproto/sharedMessages/clientWireProtocol.proto;l=421
`bytes issuer_certificate = 6 [deprecated = true];`

Returns:
  The issuerCertificate.

### getIssuerFingerprint

com.google.protobuf.ByteString getIssuerFingerprint()
`bytes issuer_fingerprint = 7;`

Returns:
  The issuerFingerprint.

### getUsername

@Deprecated com.google.protobuf.ByteString getUsername()
Deprecated.
xg.cmdcomp.LocalQueries.username is deprecated. See libxgproto/sharedMessages/clientWireProtocol.proto;l=423
`bytes username = 8 [deprecated = true];`

Returns:
  The username.

### getCompleted

boolean getCompleted()

     true if we should return rows for completed queries

`bool completed = 9;`

Returns:
  The completed.

### getUser

@Deprecated com.google.protobuf.ByteString getUser()
Deprecated.
xg.cmdcomp.LocalQueries.user is deprecated. See libxgproto/sharedMessages/clientWireProtocol.proto;l=425

     This is the byte string representation of a user_i instance

`bytes user = 10 [deprecated = true];`

Returns:
  The user.

### getOneIdentityOptionCase

ClientWireProtocol.LocalQueries.OneIdentityOptionCase getOneIdentityOptionCase()